Subject: FW: [manet] 802.11 Cards

From: Guichal Guillermo <[email-masked]>
Date: Fri, 06 Feb 2004 13:19:41 -0300

I had plans to build an 802 card for embedded applications and research.
My idea was to try to use only dedicated ICs for the RF front end and
try to implement the other layers (that would be nice to tinker with) in
FPGAs/uC. I even requested sample ICs for some 802.11 chipsets.

My idea was to maybe put an FPGA between the RF front end and MAC layer
chips (it would help to use a 2 or 3-IC chipset for this), so one could
select to use the standard implementation and just use the FPGA as a
wire or filter and change stuff going from one to the other, even
implement a whole, higher level stack on the FPGA / uC. That would give
you something where you could have manet protcols running directly or
mixed within 802.11.

Well, I never got around to working on that, and now I'm working and
really can't find the time to work on a cool project like that. 

I think it would make a great project for an MS thesis or two. If
anybody is interested feel free to contact me and I'll help you in
whatever I can (If anybody would like to finance such a project please
you are welcome to contact me also :). I did my MS at Ga Tech on manets
but I'm working mostly on embedded sytstem design now, using FPGAs and
uC. 

Guillermo Guichal, MS
Embedded Systems Design Consultant
Professor, UTN 

Alvarado 450  7"A"
8000 Bahia Blanca
Pcia Bs As
ARGENTINA

Voice:  +54 291 452-3700
Mobile: +54 291 15-406-2063

E-mail: [email-masked] 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Jim Thompson
> Sent: Friday, February 06, 2004 11:47 AM
> To: Nandini
> Cc: [email-masked]
> Subject: Re: [manet] 802.11 Cards
> 
> 
> 
> Nandini writes:
> > 
> > 
> > I would like to know of any 802.11 cards in the market
> whose firmware
> > code can be tinkered with. Typically, I should be able to alter the
> > parameters contention window, RTS/CTS logic and other features of 
> > 802.11 protocol.
> 
> None.
> 
> There are several cards in the market that don't have
> firmware, however.  Atheros is one well-known one.
> 
> --
> "Speed, it seems to me, provides the one genuinely modern pleasure."
> 			-- Aldous Huxley (1894 - 1963)
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet